module c_2TritComp (
     input [7:0] io_in,
     output [1:0] io_out
);

wire [1:0] tnet_0 = io_in[7:6]; //b1
wire [1:0] tnet_1 = io_in[5:4]; //b0
wire [1:0] tnet_2 = io_in[3:2]; //a1
wire [1:0] tnet_3 = io_in[1:0]; //a0

wire [1:0] tnet_4;
wire [1:0] tnet_5;

assign io_out[1:0] = tnet_5; //q

f_H51_bet LogicGate_0 (
.portB(tnet_0),
.portA(tnet_2),
.out(tnet_4)
);

c_RippleComp SavedGate_0 (
.io_in({tnet_4,tnet_1,tnet_3}),
.io_out({tnet_5})
);

endmodule

