module c_9Reg10_1 (
     input [28:0] io_in,
     output [19:0] io_out
);

wire [1:0] tnet_0 = io_in[28:27]; //ReadAddr1
wire [1:0] tnet_1 = tnet_0;
wire [1:0] tnet_2 = tnet_0;
wire [1:0] tnet_3 = tnet_0;
wire [1:0] tnet_4 = tnet_0;
wire [1:0] tnet_5 = io_in[26:25]; //ReadAddr0
wire [1:0] tnet_6 = tnet_5;
wire [1:0] tnet_7 = tnet_5;
wire [1:0] tnet_8 = tnet_5;
wire [1:0] tnet_9 = tnet_5;
wire [1:0] tnet_10 = io_in[24:23]; //WrAddr1
wire [1:0] tnet_11 = tnet_10;
wire [1:0] tnet_12 = tnet_10;
wire [1:0] tnet_13 = tnet_10;
wire [1:0] tnet_14 = tnet_10;
wire [1:0] tnet_15 = io_in[22:21]; //WrAddr0
wire [1:0] tnet_16 = tnet_15;
wire [1:0] tnet_17 = tnet_15;
wire [1:0] tnet_18 = tnet_15;
wire [1:0] tnet_19 = tnet_15;
wire [1:0] tnet_20 = io_in[20:19]; //WrData9
wire [1:0] tnet_21 = io_in[18:17]; //WrData8
wire [1:0] tnet_22 = io_in[16:15]; //WrData7
wire [1:0] tnet_23 = io_in[14:13]; //WrData6
wire [1:0] tnet_24 = io_in[12:11]; //WrData5
wire [1:0] tnet_25 = io_in[10:9]; //WrData4
wire [1:0] tnet_26 = io_in[8:7]; //WrData3
wire [1:0] tnet_27 = io_in[6:5]; //WrData2
wire [1:0] tnet_28 = io_in[4:3]; //WrData1
wire [1:0] tnet_29 = io_in[2:1]; //WrData0
wire bnet_30 = io_in[0]; //clkIn
wire bnet_31 = bnet_30;
wire bnet_32 = bnet_30;
wire bnet_33 = bnet_30;
wire bnet_34 = bnet_30;

wire [1:0] tnet_35;
wire [1:0] tnet_36;
wire [1:0] tnet_37;
wire [1:0] tnet_38;
wire [1:0] tnet_39;
wire [1:0] tnet_40;
wire [1:0] tnet_41;
wire [1:0] tnet_42;
wire [1:0] tnet_43;
wire [1:0] tnet_44;

assign io_out[19:18] = tnet_35; //Opcode1
assign io_out[17:16] = tnet_36; //Opcode0
assign io_out[15:14] = tnet_37; //Rs11
assign io_out[13:12] = tnet_38; //Rs10
assign io_out[11:10] = tnet_39; //Rs21
assign io_out[9:8] = tnet_40; //Rs20
assign io_out[7:6] = tnet_41; //Rd11
assign io_out[5:4] = tnet_42; //Rd10
assign io_out[3:2] = tnet_43; //Rd21
assign io_out[1:0] = tnet_44; //Rd20

c_9Reg2_1 SavedGate_0 (
.io_in({tnet_0,tnet_5,tnet_10,tnet_15,tnet_20,tnet_21,bnet_30}),
.io_out({tnet_35,tnet_36})
);

c_9Reg2_1 SavedGate_1 (
.io_in({tnet_1,tnet_6,tnet_11,tnet_16,tnet_22,tnet_23,bnet_31}),
.io_out({tnet_37,tnet_38})
);

c_9Reg2_1 SavedGate_2 (
.io_in({tnet_2,tnet_7,tnet_12,tnet_17,tnet_24,tnet_25,bnet_32}),
.io_out({tnet_39,tnet_40})
);

c_9Reg2_1 SavedGate_3 (
.io_in({tnet_3,tnet_8,tnet_13,tnet_18,tnet_26,tnet_27,bnet_33}),
.io_out({tnet_41,tnet_42})
);

c_9Reg2_1 SavedGate_4 (
.io_in({tnet_4,tnet_9,tnet_14,tnet_19,tnet_28,tnet_29,bnet_34}),
.io_out({tnet_43,tnet_44})
);

endmodule

