module c_9Reg2_1 (
     input [12:0] io_in,
     output [3:0] io_out
);

wire [1:0] tnet_0 = io_in[12:11]; //ReadAddr1
wire [1:0] tnet_1 = io_in[10:9]; //ReadAddr0
wire [1:0] tnet_2 = io_in[8:7]; //WrAddr1
wire [1:0] tnet_3 = io_in[6:5]; //WrAddr0
wire [1:0] tnet_4 = io_in[4:3]; //WrData1
wire [1:0] tnet_5 = io_in[2:1]; //WrData0
wire bnet_6 = io_in[0]; //clkIn

wire bnet_7;
wire bnet_8;
wire bnet_9;
wire bnet_10;
wire bnet_11;
wire bnet_12;
wire bnet_13;
wire bnet_14;
wire bnet_15;
wire [1:0] tnet_16;
wire [1:0] tnet_17;
wire [1:0] tnet_18;
wire [1:0] tnet_19;
wire [1:0] tnet_20;
wire [1:0] tnet_21;
wire [1:0] tnet_22;
wire [1:0] tnet_23;
wire [1:0] tnet_24;
wire [1:0] tnet_25;
wire [1:0] tnet_26;
wire [1:0] tnet_27;
wire [1:0] tnet_28;
wire [1:0] tnet_29;
wire [1:0] tnet_30;
wire [1:0] tnet_31;
wire [1:0] tnet_32;
wire [1:0] tnet_33;
wire [1:0] tnet_34;
wire [1:0] tnet_35;

assign io_out[3:2] = tnet_34; //DataOut
assign io_out[1:0] = tnet_35; //DataOut

c_9MUX2 SavedGate_0 (
.io_in({tnet_0,tnet_1,tnet_33,tnet_32,tnet_31,tnet_30,tnet_29,tnet_28,tnet_27,tnet_26,tnet_25,tnet_24,tnet_23,tnet_22,tnet_21,tnet_20,tnet_19,tnet_18,tnet_17,tnet_16}),
.io_out({tnet_34,tnet_35})
);

c_9BDEMUX1 SavedGate_1 (
.io_in({tnet_2,tnet_3,bnet_6}),
.io_out({bnet_7,bnet_8,bnet_9,bnet_10,bnet_11,bnet_12,bnet_13,bnet_14,bnet_15})
);

c_8REGARRAY2 SavedGate_2 (
.io_in({bnet_7,bnet_8,bnet_9,bnet_10,bnet_11,bnet_12,bnet_13,bnet_14,bnet_15,tnet_4,tnet_5}),
.io_out({tnet_33,tnet_32,tnet_31,tnet_30,tnet_29,tnet_28,tnet_27,tnet_26,tnet_25,tnet_24,tnet_23,tnet_22,tnet_21,tnet_20,tnet_19,tnet_18,tnet_17,tnet_16})
);

endmodule

