module c_CMP2tritwise (
     input [9:0] io_in,
     output [3:0] io_out
);

wire [1:0] tnet_0 = io_in[9:8]; //mode
wire [1:0] tnet_1 = tnet_0;
wire [1:0] tnet_2 = io_in[7:6]; //b1
wire [1:0] tnet_3 = io_in[5:4]; //b0
wire [1:0] tnet_4 = io_in[3:2]; //a1
wire [1:0] tnet_5 = io_in[1:0]; //a0

wire [1:0] tnet_6;
wire [1:0] tnet_7;

assign io_out[3:2] = tnet_6; //q0
assign io_out[1:0] = tnet_7; //q1

f_ZRPH51CC0_bet LogicGate_0 (
.portC(tnet_0),
.portB(tnet_2),
.portA(tnet_4),
.out(tnet_6)
);

f_ZRPH51PC0_bet LogicGate_1 (
.portC(tnet_1),
.portB(tnet_3),
.portA(tnet_5),
.out(tnet_7)
);

endmodule

