module c_AddSub2 (
     input [9:0] io_in,
     output [5:0] io_out
);

wire [1:0] tnet_0 = io_in[9:8]; //sel
wire [1:0] tnet_1 = io_in[7:6]; //b1
wire [1:0] tnet_2 = tnet_1;
wire [1:0] tnet_3 = io_in[5:4]; //b0
wire [1:0] tnet_4 = tnet_3;
wire [1:0] tnet_5 = io_in[3:2]; //a1
wire [1:0] tnet_6 = io_in[1:0]; //a0

wire [1:0] tnet_7;
wire [1:0] tnet_8;
wire [1:0] tnet_9;
wire [1:0] tnet_10;
wire [1:0] tnet_11;
wire [1:0] tnet_12;
wire [1:0] tnet_13;

assign io_out[5:4] = tnet_11; //q2
assign io_out[3:2] = tnet_12; //q1
assign io_out[1:0] = tnet_13; //q0

c_2TritNot SavedGate_0 (
.io_in({tnet_2,tnet_4}),
.io_out({tnet_7,tnet_8})
);

c_2MUX2 SavedGate_1 (
.io_in({tnet_0,tnet_7,tnet_8,tnet_1,tnet_3}),
.io_out({tnet_9,tnet_10})
);

c_2TritAdder SavedGate_2 (
.io_in({tnet_9,tnet_10,tnet_5,tnet_6}),
.io_out({tnet_11,tnet_12,tnet_13})
);

endmodule

