module c_CircularBufferAddr2 (
     input [2:0] io_in,
     output [7:0] io_out
);

wire bnet_0 = io_in[2]; //write
wire bnet_1 = io_in[1]; //read
wire bnet_2 = io_in[0]; //reset
wire bnet_3 = bnet_2;
wire bnet_4 = bnet_2;

wire [1:0] tnet_5;
wire [1:0] tnet_6;
wire [1:0] tnet_7 = tnet_6;
wire [1:0] tnet_8 = tnet_6;
wire [1:0] tnet_9 = tnet_6;
wire [1:0] tnet_10;
wire [1:0] tnet_11;
wire [1:0] tnet_12;
wire [1:0] tnet_13;
wire [1:0] tnet_14 = tnet_13;
wire [1:0] tnet_15;
wire [1:0] tnet_16;
wire [1:0] tnet_17 = tnet_11;
wire [1:0] tnet_18 = tnet_12;
wire [1:0] tnet_19 = tnet_15;
wire [1:0] tnet_20 = tnet_16;

assign io_out[7:6] = tnet_17; //writeAddr1
assign io_out[5:4] = tnet_18; //writeAddr0
assign io_out[3:2] = tnet_19; //readAddr1
assign io_out[1:0] = tnet_20; //readAddr0

f_K_bet LogicGate_0 (
.portA(tnet_13),
.out(tnet_5)
);

f_D_bet LogicGate_1 (
.portA({bnet_4,!bnet_4}),
.out(tnet_6)
);

f_2_bet LogicGate_2 (
.portA(tnet_14),
.out(tnet_10)
);

c_count2 SavedGate_0 (
.io_in({bnet_0,tnet_5[1],bnet_3,tnet_8,tnet_9}),
.io_out({tnet_11,tnet_12})
);

c_CircularBufferState2 SavedGate_1 (
.io_in({tnet_11,tnet_12,tnet_15,tnet_16}),
.io_out({tnet_13})
);

c_count2 SavedGate_2 (
.io_in({bnet_1,tnet_10[1],bnet_2,tnet_7,tnet_6}),
.io_out({tnet_15,tnet_16})
);

endmodule

