module c_CircularBufferState2 (
     input [7:0] io_in,
     output [1:0] io_out
);

wire [1:0] tnet_0 = io_in[7:6]; //w1
wire [1:0] tnet_1 = tnet_0;
wire [1:0] tnet_2 = io_in[5:4]; //w0
wire [1:0] tnet_3 = tnet_2;
wire [1:0] tnet_4 = io_in[3:2]; //r1
wire [1:0] tnet_5 = tnet_4;
wire [1:0] tnet_6 = io_in[1:0]; //r0
wire [1:0] tnet_7 = tnet_6;

wire [1:0] tnet_8;
wire [1:0] tnet_9;
wire [1:0] tnet_10;
wire [1:0] tnet_11;
wire [1:0] tnet_12;

assign io_out[1:0] = tnet_12; //state

f_G0G_bet LogicGate_0 (
.portB(tnet_10),
.portA(tnet_11),
.out(tnet_12)
);

c_Increment2 SavedGate_0 (
.io_in({tnet_0,tnet_2}),
.io_out({tnet_8,tnet_9})
);

c_2TritComp SavedGate_1 (
.io_in({tnet_8,tnet_9,tnet_4,tnet_6}),
.io_out({tnet_10})
);

c_2TritComp SavedGate_2 (
.io_in({tnet_1,tnet_3,tnet_5,tnet_7}),
.io_out({tnet_11})
);

endmodule

