module c_DLatchEdge (
     input [2:0] io_in,
     output [1:0] io_out
);

wire [1:0] tnet_0 = io_in[2:1]; //DataIn
wire bnet_1 = io_in[0]; //Clk

wire bnet_2;
wire bnet_3 = bnet_2;
wire bnet_4;
wire [1:0] tnet_5;
wire [1:0] tnet_6;

assign io_out[1:0] = tnet_6; //DataOut

f_2 LogicGate_0 (
.portA(bnet_1),
.out(bnet_2)
);

f_2 LogicGate_1 (
.portA(bnet_2),
.out(bnet_4)
);

c_BTLatch SavedGate_0 (
.io_in({bnet_4,tnet_5}),
.io_out({tnet_6})
);

c_BTLatch SavedGate_1 (
.io_in({bnet_3,tnet_0}),
.io_out({tnet_5})
);

endmodule

