module c_Increment2 (
     input [3:0] io_in,
     output [3:0] io_out
);

wire [1:0] tnet_0 = io_in[3:2]; //x1
wire [1:0] tnet_1 = io_in[1:0]; //x0
wire [1:0] tnet_2 = tnet_1;

wire [1:0] tnet_3;
wire [1:0] tnet_4;

assign io_out[3:2] = tnet_3; //DataOut
assign io_out[1:0] = tnet_4; //DataOut

f_7PP_bet LogicGate_0 (
.portB(tnet_0),
.portA(tnet_2),
.out(tnet_3)
);

f_7_bet LogicGate_1 (
.portA(tnet_1),
.out(tnet_4)
);

endmodule

