module c_count2 (
     input [6:0] io_in,
     output [3:0] io_out
);

wire bnet_0 = io_in[6]; //clk
wire bnet_1 = io_in[5]; //enable
wire bnet_2 = io_in[4]; //load
wire bnet_3 = bnet_2;
wire [1:0] tnet_4 = io_in[3:2]; //d1
wire [1:0] tnet_5 = io_in[1:0]; //d0

wire bnet_6;
wire bnet_7 = bnet_6;
wire [1:0] tnet_8;
wire [1:0] tnet_9;
wire [1:0] tnet_10;
wire [1:0] tnet_11;
wire [1:0] tnet_12;
wire [1:0] tnet_13;
wire [1:0] tnet_14 = tnet_8;
wire [1:0] tnet_15 = tnet_11;

assign io_out[3:2] = tnet_14; //q1
assign io_out[1:0] = tnet_15; //q0

f_KKK00K00K LogicGate_0 (
.portB(bnet_0),
.portA(bnet_1),
.portC(bnet_2),
.out(bnet_6)
);

c_DLatchEdge SavedGate_0 (
.io_in({tnet_9,bnet_6}),
.io_out({tnet_8})
);

c_2MUX2 SavedGate_1 (
.io_in({{bnet_3,!bnet_3},tnet_4,tnet_5,tnet_12,tnet_13}),
.io_out({tnet_9,tnet_10})
);

c_DLatchEdge SavedGate_2 (
.io_in({tnet_10,bnet_7}),
.io_out({tnet_11})
);

c_Increment2 SavedGate_3 (
.io_in({tnet_8,tnet_11}),
.io_out({tnet_12,tnet_13})
);

endmodule

