module c_Fetch (
     input [31:0] io_in,
     output [23:0] io_out
);

wire [1:0] tnet_0 = io_in[31:30]; //LoadEn
wire [1:0] tnet_1 = io_in[29:28]; //LoadAddr1
wire [1:0] tnet_2 = io_in[27:26]; //LoadAddr0
wire [1:0] tnet_3 = io_in[25:24]; //WrAddr1
wire [1:0] tnet_4 = io_in[23:22]; //WrAddr0
wire [1:0] tnet_5 = io_in[21:20]; //WrData9
wire [1:0] tnet_6 = io_in[19:18]; //WrData8
wire [1:0] tnet_7 = io_in[17:16]; //WrData7
wire [1:0] tnet_8 = io_in[15:14]; //WrData6
wire [1:0] tnet_9 = io_in[13:12]; //WrData5
wire [1:0] tnet_10 = io_in[11:10]; //WrData4
wire [1:0] tnet_11 = io_in[9:8]; //WrData3
wire [1:0] tnet_12 = io_in[7:6]; //WrData2
wire [1:0] tnet_13 = io_in[5:4]; //WrData1
wire [1:0] tnet_14 = io_in[3:2]; //WrData0
wire bnet_15 = io_in[1]; //clkIn
wire bnet_16 = io_in[0]; //WriteClkIn

wire [1:0] tnet_17;
wire [1:0] tnet_18;
wire [1:0] tnet_19 = tnet_17;
wire [1:0] tnet_20 = tnet_18;
wire [1:0] tnet_21;
wire [1:0] tnet_22;
wire [1:0] tnet_23;
wire [1:0] tnet_24;
wire [1:0] tnet_25;
wire [1:0] tnet_26;
wire [1:0] tnet_27;
wire [1:0] tnet_28;
wire [1:0] tnet_29;
wire [1:0] tnet_30;

assign io_out[23:22] = tnet_19; //PC1
assign io_out[21:20] = tnet_20; //PC0
assign io_out[19:18] = tnet_21; //Opcode1
assign io_out[17:16] = tnet_22; //Opcode0
assign io_out[15:14] = tnet_23; //Rs11
assign io_out[13:12] = tnet_24; //Rs10
assign io_out[11:10] = tnet_25; //Rs21
assign io_out[9:8] = tnet_26; //Rs20
assign io_out[7:6] = tnet_27; //Rd11
assign io_out[5:4] = tnet_28; //Rd10
assign io_out[3:2] = tnet_29; //Rd21
assign io_out[1:0] = tnet_30; //Rd20

c_ProgCtr2 SavedGate_0 (
.io_in({tnet_0,tnet_1,tnet_2,bnet_15}),
.io_out({tnet_17,tnet_18})
);

c_9Reg10_1 SavedGate_1 (
.io_in({tnet_17,tnet_18,tnet_3,tnet_4,tnet_5,tnet_6,tnet_7,tnet_8,tnet_9,tnet_10,tnet_11,tnet_12,tnet_13,tnet_14,bnet_16}),
.io_out({tnet_21,tnet_22,tnet_23,tnet_24,tnet_25,tnet_26,tnet_27,tnet_28,tnet_29,tnet_30})
);

endmodule

