module c_LookaheadUnit2 (
     input [13:0] io_in,
     output [5:0] io_out
);

wire [1:0] tnet_0 = io_in[13:12]; //g1
wire [1:0] tnet_1 = io_in[11:10]; //m1
wire [1:0] tnet_2 = io_in[9:8]; //p1
wire [1:0] tnet_3 = io_in[7:6]; //g0
wire [1:0] tnet_4 = tnet_3;
wire [1:0] tnet_5 = io_in[5:4]; //m0
wire [1:0] tnet_6 = tnet_5;
wire [1:0] tnet_7 = io_in[3:2]; //p0
wire [1:0] tnet_8 = tnet_7;
wire [1:0] tnet_9 = io_in[1:0]; //carry
wire [1:0] tnet_10 = tnet_9;
wire [1:0] tnet_11 = tnet_9;

wire [1:0] tnet_12;
wire [1:0] tnet_13;
wire [1:0] tnet_14;
wire [1:0] tnet_15;
wire [1:0] tnet_16;
wire [1:0] tnet_17;
wire [1:0] tnet_18;

assign io_out[1:0] = tnet_11; //c0
assign io_out[5:4] = tnet_17; //c2
assign io_out[3:2] = tnet_18; //c1

f_VPK_bet LogicGate_0 (
.portA(tnet_12),
.portB(tnet_14),
.out(tnet_17)
);

f_ZRRRRPDD0_bet LogicGate_1 (
.portC(tnet_10),
.portB(tnet_15),
.portA(tnet_16),
.out(tnet_12)
);

f_VPK_bet LogicGate_2 (
.portB(tnet_4),
.portA(tnet_13),
.out(tnet_18)
);

f_ZRRRRPDD0_bet LogicGate_3 (
.portB(tnet_6),
.portA(tnet_8),
.portC(tnet_9),
.out(tnet_13)
);

c_Trit2Carry SavedGate_0 (
.io_in({tnet_0,tnet_3,tnet_1,tnet_5,tnet_2,tnet_7}),
.io_out({tnet_14,tnet_15,tnet_16})
);

endmodule

