module c_Trit2Carry (
     input [11:0] io_in,
     output [5:0] io_out
);

wire [1:0] tnet_0 = io_in[11:10]; //g1
wire [1:0] tnet_1 = tnet_0;
wire [1:0] tnet_2 = tnet_0;
wire [1:0] tnet_3 = io_in[9:8]; //g0
wire [1:0] tnet_4 = tnet_3;
wire [1:0] tnet_5 = io_in[7:6]; //m1
wire [1:0] tnet_6 = tnet_5;
wire [1:0] tnet_7 = tnet_5;
wire [1:0] tnet_8 = io_in[5:4]; //m0
wire [1:0] tnet_9 = tnet_8;
wire [1:0] tnet_10 = io_in[3:2]; //p1
wire [1:0] tnet_11 = tnet_10;
wire [1:0] tnet_12 = tnet_10;
wire [1:0] tnet_13 = io_in[1:0]; //p0
wire [1:0] tnet_14 = tnet_13;

wire [1:0] tnet_15;
wire [1:0] tnet_16;
wire [1:0] tnet_17;
wire [1:0] tnet_18;
wire [1:0] tnet_19;
wire [1:0] tnet_20;
wire [1:0] tnet_21;
wire [1:0] tnet_22;
wire [1:0] tnet_23;

assign io_out[5:4] = tnet_21; //g
assign io_out[3:2] = tnet_22; //m
assign io_out[1:0] = tnet_23; //p

f_RDC_bet LogicGate_0 (
.portA(tnet_4),
.portB(tnet_12),
.out(tnet_15)
);

f_ZZZZP0000_bet LogicGate_1 (
.portC(tnet_0),
.portB(tnet_15),
.portA(tnet_16),
.out(tnet_21)
);

f_RPC_bet LogicGate_2 (
.portB(tnet_7),
.portA(tnet_14),
.out(tnet_16)
);

f_RDC_bet LogicGate_3 (
.portA(tnet_8),
.portB(tnet_11),
.out(tnet_17)
);

f_ZZZVP0000_bet LogicGate_4 (
.portC(tnet_1),
.portB(tnet_17),
.portA(tnet_18),
.out(tnet_22)
);

f_RPC_bet LogicGate_5 (
.portB(tnet_6),
.portA(tnet_9),
.out(tnet_18)
);

f_RDC_bet LogicGate_6 (
.portB(tnet_10),
.portA(tnet_13),
.out(tnet_19)
);

f_ZZZVP0000_bet LogicGate_7 (
.portC(tnet_2),
.portB(tnet_19),
.portA(tnet_20),
.out(tnet_23)
);

f_RPC_bet LogicGate_8 (
.portA(tnet_3),
.portB(tnet_5),
.out(tnet_20)
);

endmodule

