module c_add_3_3_lookahead (
     input [19:0] io_in,
     output [7:0] io_out
);

wire [1:0] tnet_0 = io_in[19:18]; //a2
wire [1:0] tnet_1 = io_in[17:16]; //a1
wire [1:0] tnet_2 = io_in[15:14]; //a0
wire [1:0] tnet_3 = io_in[13:12]; //b2
wire [1:0] tnet_4 = io_in[11:10]; //b1
wire [1:0] tnet_5 = io_in[9:8]; //b0
wire [1:0] tnet_6 = io_in[7:6]; //c2
wire [1:0] tnet_7 = io_in[5:4]; //c1
wire [1:0] tnet_8 = io_in[3:2]; //c0
wire [1:0] tnet_9 = io_in[1:0]; //carry

wire [1:0] tnet_10;
wire [1:0] tnet_11;
wire [1:0] tnet_12;
wire [1:0] tnet_13;
wire [1:0] tnet_14;
wire [1:0] tnet_15;
wire [1:0] tnet_16;
wire [1:0] tnet_17;
wire [1:0] tnet_18;
wire [1:0] tnet_19;
wire [1:0] tnet_20;
wire [1:0] tnet_21;
wire [1:0] tnet_22;
wire [1:0] tnet_23;
wire [1:0] tnet_24;

assign io_out[7:6] = tnet_21; //carry
assign io_out[5:4] = tnet_22; //s2
assign io_out[3:2] = tnet_23; //s1
assign io_out[1:0] = tnet_24; //s0

c_partial_adder_3 SavedGate_0 (
.io_in({tnet_0,tnet_3,tnet_6,tnet_14}),
.io_out({tnet_10,tnet_11,tnet_12,tnet_22})
);

c_lookahead_unit_3_2 SavedGate_1 (
.io_in({tnet_10,tnet_11,tnet_12,tnet_15,tnet_16,tnet_17,tnet_18,tnet_19,tnet_20}),
.io_out({tnet_13,tnet_13,tnet_13,tnet_13,tnet_21,tnet_14,tnet_13})
);

c_partial_adder_3 SavedGate_2 (
.io_in({tnet_1,tnet_4,tnet_7,tnet_13}),
.io_out({tnet_15,tnet_16,tnet_17,tnet_23})
);

c_partial_adder_3 SavedGate_3 (
.io_in({tnet_2,tnet_5,tnet_8,tnet_9}),
.io_out({tnet_18,tnet_19,tnet_20,tnet_24})
);

endmodule

