module c_lookahead_3_common (
     input [9:0] io_in,
     output [3:0] io_out
);

wire [1:0] tnet_0 = io_in[9:8]; //m2
wire [1:0] tnet_1 = tnet_0;
wire [1:0] tnet_2 = io_in[7:6]; //p2
wire [1:0] tnet_3 = tnet_2;
wire [1:0] tnet_4 = io_in[5:4]; //g1
wire [1:0] tnet_5 = io_in[3:2]; //m1
wire [1:0] tnet_6 = tnet_5;
wire [1:0] tnet_7 = io_in[1:0]; //p1

wire [1:0] tnet_8;
wire [1:0] tnet_9;
wire [1:0] tnet_10;
wire [1:0] tnet_11;
wire [1:0] tnet_12;
wire [1:0] tnet_13;

assign io_out[3:2] = tnet_12; //common-p
assign io_out[1:0] = tnet_13; //common-g

f_RDC_bet LogicGate_0 (
.portB(tnet_2),
.portA(tnet_7),
.out(tnet_8)
);

f_VP0_bet LogicGate_1 (
.portB(tnet_8),
.portA(tnet_9),
.out(tnet_12)
);

f_RPC_bet LogicGate_2 (
.portB(tnet_0),
.portA(tnet_4),
.out(tnet_9)
);

f_RDC_bet LogicGate_3 (
.portB(tnet_3),
.portA(tnet_5),
.out(tnet_10)
);

f_VP0_bet LogicGate_4 (
.portB(tnet_10),
.portA(tnet_11),
.out(tnet_13)
);

f_RPC_bet LogicGate_5 (
.portB(tnet_1),
.portA(tnet_6),
.out(tnet_11)
);

endmodule

