module c_lookahead_3_unique (
     input [9:0] io_in,
     output [1:0] io_out
);

wire [1:0] tnet_0 = io_in[9:8]; //common-p
wire [1:0] tnet_1 = io_in[7:6]; //common-g
wire [1:0] tnet_2 = io_in[5:4]; //g0
wire [1:0] tnet_3 = io_in[3:2]; //p0
wire [1:0] tnet_4 = io_in[1:0]; //partial-g

wire [1:0] tnet_5;
wire [1:0] tnet_6;
wire [1:0] tnet_7;

assign io_out[1:0] = tnet_7; //out

f_RDC_bet LogicGate_0 (
.portB(tnet_0),
.portA(tnet_3),
.out(tnet_5)
);

f_VV0VP0000_bet LogicGate_1 (
.portC(tnet_4),
.portB(tnet_5),
.portA(tnet_6),
.out(tnet_7)
);

f_RPC_bet LogicGate_2 (
.portB(tnet_1),
.portA(tnet_2),
.out(tnet_6)
);

endmodule

