module c_binary_lookahead_3 (
     input [6:0] io_in,
     output [4:0] io_out
);

wire bnet_0 = io_in[6]; //g2
wire bnet_1 = io_in[5]; //p2
wire bnet_2 = bnet_1;
wire bnet_3 = bnet_1;
wire bnet_4 = io_in[4]; //g1
wire bnet_5 = bnet_4;
wire bnet_6 = io_in[3]; //p1
wire bnet_7 = bnet_6;
wire bnet_8 = bnet_6;
wire bnet_9 = bnet_6;
wire bnet_10 = io_in[2]; //g0
wire bnet_11 = bnet_10;
wire bnet_12 = bnet_10;
wire bnet_13 = io_in[1]; //p0
wire bnet_14 = bnet_13;
wire bnet_15 = bnet_13;
wire bnet_16 = io_in[0]; //carry
wire bnet_17 = bnet_16;
wire bnet_18 = bnet_16;

wire bnet_19;
wire bnet_20;
wire bnet_21;
wire bnet_22;
wire bnet_23;
wire bnet_24;
wire bnet_25 = bnet_21;
wire bnet_26 = bnet_19;
wire bnet_27;
wire bnet_28;
wire bnet_29;

assign io_out[4] = bnet_25; //G
assign io_out[3] = bnet_26; //P
assign io_out[2] = bnet_27; //c3
assign io_out[1] = bnet_28; //c2
assign io_out[0] = bnet_29; //c1

f_K00000000 LogicGate_0 (
.portC(bnet_1),
.portB(bnet_6),
.portA(bnet_13),
.out(bnet_19)
);

f_ZZZK00K00 LogicGate_1 (
.portA(bnet_16),
.portB(bnet_19),
.portC(bnet_21),
.out(bnet_27)
);

f_K00000000 LogicGate_2 (
.portC(bnet_2),
.portB(bnet_7),
.portA(bnet_10),
.out(bnet_20)
);

f_ZZZZKKZKK LogicGate_3 (
.portC(bnet_0),
.portB(bnet_20),
.portA(bnet_22),
.out(bnet_21)
);

f_K00 LogicGate_4 (
.portB(bnet_3),
.portA(bnet_4),
.out(bnet_22)
);

f_K00000000 LogicGate_5 (
.portC(bnet_8),
.portB(bnet_14),
.portA(bnet_17),
.out(bnet_23)
);

f_ZZZK00K00 LogicGate_6 (
.portC(bnet_5),
.portB(bnet_9),
.portA(bnet_11),
.out(bnet_24)
);

f_ZKK LogicGate_7 (
.portB(bnet_23),
.portA(bnet_24),
.out(bnet_28)
);

f_ZZZK00K00 LogicGate_8 (
.portC(bnet_12),
.portB(bnet_15),
.portA(bnet_18),
.out(bnet_29)
);

endmodule

