module c_hackaday_2_trit_adder (
     input [9:0] io_in,
     output [17:0] io_out
);

wire [1:0] tnet_0 = io_in[9:8]; //a2
wire [1:0] tnet_1 = io_in[7:6]; //a1
wire [1:0] tnet_2 = io_in[5:4]; //b2
wire [1:0] tnet_3 = io_in[3:2]; //b1
wire [1:0] tnet_4 = io_in[1:0]; //carry

wire [1:0] tnet_5;
wire [1:0] tnet_6;
wire [1:0] tnet_7;
wire [1:0] tnet_8;
wire [1:0] tnet_9;
wire [1:0] tnet_10 = tnet_7;
wire [1:0] tnet_11;
wire [1:0] tnet_12;
wire [1:0] tnet_13 = tnet_7;
wire [1:0] tnet_14;
wire [1:0] tnet_15;
wire [1:0] tnet_16 = tnet_7;

assign io_out[17:16] = tnet_8; //c-3
assign io_out[15:14] = tnet_9; //out3-3
assign io_out[13:12] = tnet_10; //out1-1
assign io_out[11:10] = tnet_11; //c-2
assign io_out[9:8] = tnet_12; //out2-2
assign io_out[7:6] = tnet_13; //out1-1
assign io_out[5:4] = tnet_14; //c-1
assign io_out[3:2] = tnet_15; //out2-1
assign io_out[1:0] = tnet_16; //out1-1

c_hackaday_full_select_adder SavedGate_0 (
.io_in({tnet_0,tnet_2,tnet_5,tnet_6,tnet_7}),
.io_out({tnet_8,tnet_11,tnet_14,tnet_9,tnet_12,tnet_15})
);

c_hackaday_partial_adder SavedGate_1 (
.io_in({tnet_1,tnet_3,tnet_4}),
.io_out({tnet_5,tnet_5,tnet_6,tnet_7})
);

endmodule

