module c_1Latch2 (
     input [4:0] io_in,
     output [3:0] io_out
);

wire bnet_0 = io_in[4]; //write
wire bnet_1 = bnet_0;
wire [1:0] tnet_2 = io_in[3:2]; //a1
wire [1:0] tnet_3 = io_in[1:0]; //a0

wire [1:0] tnet_4;
wire [1:0] tnet_5;

assign io_out[3:2] = tnet_4; //q1
assign io_out[1:0] = tnet_5; //q0

c_BTLatch SavedGate_0 (
.io_in({bnet_0,tnet_2}),
.io_out({tnet_4})
);

c_BTLatch SavedGate_1 (
.io_in({bnet_1,tnet_3}),
.io_out({tnet_5})
);

endmodule

