module c_2TritMul (
     input [7:0] io_in,
     output [7:0] io_out
);

wire [1:0] tnet_0 = io_in[7:6]; //b1
wire [1:0] tnet_1 = tnet_0;
wire [1:0] tnet_2 = io_in[5:4]; //b0
wire [1:0] tnet_3 = tnet_2;
wire [1:0] tnet_4 = io_in[3:2]; //a1
wire [1:0] tnet_5 = tnet_4;
wire [1:0] tnet_6 = io_in[1:0]; //a0
wire [1:0] tnet_7 = tnet_6;

wire [1:0] tnet_8;
wire [1:0] tnet_9;
wire [1:0] tnet_10;
wire [1:0] tnet_11;
wire [1:0] tnet_12;
wire [1:0] tnet_13;
wire [1:0] tnet_14;
wire [1:0] tnet_15;

assign io_out[7:6] = tnet_12; //q3
assign io_out[5:4] = tnet_13; //q2
assign io_out[3:2] = tnet_14; //q1
assign io_out[1:0] = tnet_15; //q0

c_TriMul1 SavedGate_0 (
.io_in({tnet_1,tnet_5}),
.io_out({tnet_8})
);

c_TriHalfAdder SavedGate_1 (
.io_in({tnet_8,tnet_10}),
.io_out({tnet_12,tnet_13})
);

c_TriMul1 SavedGate_2 (
.io_in({tnet_3,tnet_4}),
.io_out({tnet_9})
);

c_TriHalfAdder SavedGate_3 (
.io_in({tnet_9,tnet_11}),
.io_out({tnet_10,tnet_14})
);

c_TriMul1 SavedGate_4 (
.io_in({tnet_0,tnet_7}),
.io_out({tnet_11})
);

c_TriMul1 SavedGate_5 (
.io_in({tnet_2,tnet_6}),
.io_out({tnet_15})
);

endmodule

