module c_3TritRippleCarrry (
     input [13:0] io_in,
     output [7:0] io_out
);

wire [1:0] tnet_0 = io_in[13:12]; //a2
wire [1:0] tnet_1 = io_in[11:10]; //a1
wire [1:0] tnet_2 = io_in[9:8]; //a0
wire [1:0] tnet_3 = io_in[7:6]; //b2
wire [1:0] tnet_4 = io_in[5:4]; //b1
wire [1:0] tnet_5 = io_in[3:2]; //b0
wire [1:0] tnet_6 = io_in[1:0]; //carry

wire [1:0] tnet_7;
wire [1:0] tnet_8;
wire [1:0] tnet_9;
wire [1:0] tnet_10;
wire [1:0] tnet_11;
wire [1:0] tnet_12;

assign io_out[7:6] = tnet_9; //carry
assign io_out[5:4] = tnet_10; //out2
assign io_out[3:2] = tnet_11; //out1
assign io_out[1:0] = tnet_12; //out0

c_TriFullAdder SavedGate_0 (
.io_in({tnet_7,tnet_0,tnet_3}),
.io_out({tnet_9,tnet_10})
);

c_TriFullAdder SavedGate_1 (
.io_in({tnet_8,tnet_1,tnet_4}),
.io_out({tnet_7,tnet_11})
);

c_TriFullAdder SavedGate_2 (
.io_in({tnet_6,tnet_2,tnet_5}),
.io_out({tnet_8,tnet_12})
);

endmodule

