module c_9MUX2 (
     input [39:0] io_in,
     output [3:0] io_out
);

wire [1:0] tnet_0 = io_in[39:38]; //sel1
wire [1:0] tnet_1 = io_in[37:36]; //sel0
wire [1:0] tnet_2 = tnet_1;
wire [1:0] tnet_3 = tnet_1;
wire [1:0] tnet_4 = io_in[35:34]; //dIn81
wire [1:0] tnet_5 = io_in[33:32]; //dIn80
wire [1:0] tnet_6 = io_in[31:30]; //dIn71
wire [1:0] tnet_7 = io_in[29:28]; //dIn70
wire [1:0] tnet_8 = io_in[27:26]; //dIn61
wire [1:0] tnet_9 = io_in[25:24]; //dIn60
wire [1:0] tnet_10 = io_in[23:22]; //dIn51
wire [1:0] tnet_11 = io_in[21:20]; //dIn50
wire [1:0] tnet_12 = io_in[19:18]; //dIn41
wire [1:0] tnet_13 = io_in[17:16]; //dIn40
wire [1:0] tnet_14 = io_in[15:14]; //dIn31
wire [1:0] tnet_15 = io_in[13:12]; //dIn30
wire [1:0] tnet_16 = io_in[11:10]; //dIn21
wire [1:0] tnet_17 = io_in[9:8]; //dIn20
wire [1:0] tnet_18 = io_in[7:6]; //dIn11
wire [1:0] tnet_19 = io_in[5:4]; //dIn10
wire [1:0] tnet_20 = io_in[3:2]; //dIn01
wire [1:0] tnet_21 = io_in[1:0]; //dIn00

wire [1:0] tnet_22;
wire [1:0] tnet_23;
wire [1:0] tnet_24;
wire [1:0] tnet_25;
wire [1:0] tnet_26;
wire [1:0] tnet_27;
wire [1:0] tnet_28;
wire [1:0] tnet_29;

assign io_out[3:2] = tnet_28; //dOut1
assign io_out[1:0] = tnet_29; //dOut0

c_3MUX2 SavedGate_0 (
.io_in({tnet_3,tnet_4,tnet_5,tnet_6,tnet_7,tnet_8,tnet_9}),
.io_out({tnet_22,tnet_23})
);

c_3MUX2 SavedGate_1 (
.io_in({tnet_0,tnet_22,tnet_23,tnet_24,tnet_25,tnet_26,tnet_27}),
.io_out({tnet_28,tnet_29})
);

c_3MUX2 SavedGate_2 (
.io_in({tnet_2,tnet_10,tnet_11,tnet_12,tnet_13,tnet_14,tnet_15}),
.io_out({tnet_24,tnet_25})
);

c_3MUX2 SavedGate_3 (
.io_in({tnet_1,tnet_16,tnet_17,tnet_18,tnet_19,tnet_20,tnet_21}),
.io_out({tnet_26,tnet_27})
);

endmodule

