module c_9REG2 (
     input [16:0] io_in,
     output [7:0] io_out
);

wire [1:0] tnet_0 = io_in[16:15]; //ReadAddr11
wire [1:0] tnet_1 = io_in[14:13]; //ReadAddr10
wire [1:0] tnet_2 = io_in[12:11]; //ReadAddr01
wire [1:0] tnet_3 = io_in[10:9]; //ReadAddr00
wire [1:0] tnet_4 = io_in[8:7]; //WriteAddr1
wire [1:0] tnet_5 = io_in[6:5]; //WriteAddr0
wire [1:0] tnet_6 = io_in[4:3]; //WriteData1
wire [1:0] tnet_7 = io_in[2:1]; //WriteData0
wire bnet_8 = io_in[0]; //RegWrite

wire bnet_9;
wire bnet_10;
wire bnet_11;
wire bnet_12;
wire bnet_13;
wire bnet_14;
wire bnet_15;
wire bnet_16;
wire bnet_17;
wire [1:0] tnet_18;
wire [1:0] tnet_19;
wire [1:0] tnet_20;
wire [1:0] tnet_21;
wire [1:0] tnet_22;
wire [1:0] tnet_23;
wire [1:0] tnet_24;
wire [1:0] tnet_25;
wire [1:0] tnet_26;
wire [1:0] tnet_27;
wire [1:0] tnet_28;
wire [1:0] tnet_29;
wire [1:0] tnet_30;
wire [1:0] tnet_31;
wire [1:0] tnet_32;
wire [1:0] tnet_33;
wire [1:0] tnet_34;
wire [1:0] tnet_35;
wire [1:0] tnet_36 = tnet_18;
wire [1:0] tnet_37 = tnet_19;
wire [1:0] tnet_38 = tnet_20;
wire [1:0] tnet_39 = tnet_21;
wire [1:0] tnet_40 = tnet_22;
wire [1:0] tnet_41 = tnet_23;
wire [1:0] tnet_42 = tnet_24;
wire [1:0] tnet_43 = tnet_25;
wire [1:0] tnet_44 = tnet_26;
wire [1:0] tnet_45 = tnet_27;
wire [1:0] tnet_46 = tnet_28;
wire [1:0] tnet_47 = tnet_29;
wire [1:0] tnet_48 = tnet_30;
wire [1:0] tnet_49 = tnet_31;
wire [1:0] tnet_50 = tnet_32;
wire [1:0] tnet_51 = tnet_33;
wire [1:0] tnet_52 = tnet_34;
wire [1:0] tnet_53 = tnet_35;
wire [1:0] tnet_54;
wire [1:0] tnet_55;
wire [1:0] tnet_56;
wire [1:0] tnet_57;

assign io_out[7:6] = tnet_54; //ReadData11
assign io_out[5:4] = tnet_55; //ReadData10
assign io_out[3:2] = tnet_56; //ReadData01
assign io_out[1:0] = tnet_57; //ReadData00

c_9MUX2 SavedGate_0 (
.io_in({tnet_0,tnet_1,tnet_35,tnet_34,tnet_33,tnet_32,tnet_31,tnet_30,tnet_29,tnet_28,tnet_27,tnet_26,tnet_25,tnet_24,tnet_23,tnet_22,tnet_21,tnet_20,tnet_19,tnet_18}),
.io_out({tnet_54,tnet_55})
);

c_9BDEMUX1 SavedGate_1 (
.io_in({tnet_4,tnet_5,bnet_8}),
.io_out({bnet_17,bnet_16,bnet_15,bnet_14,bnet_13,bnet_12,bnet_11,bnet_10,bnet_9})
);

c_8REGARRAY2 SavedGate_2 (
.io_in({bnet_17,bnet_16,bnet_15,bnet_14,bnet_13,bnet_12,bnet_11,bnet_10,bnet_9,tnet_6,tnet_7}),
.io_out({tnet_35,tnet_34,tnet_33,tnet_32,tnet_31,tnet_30,tnet_29,tnet_28,tnet_27,tnet_26,tnet_25,tnet_24,tnet_23,tnet_22,tnet_21,tnet_20,tnet_19,tnet_18})
);

c_9MUX2 SavedGate_3 (
.io_in({tnet_2,tnet_3,tnet_53,tnet_52,tnet_51,tnet_50,tnet_49,tnet_48,tnet_47,tnet_46,tnet_45,tnet_44,tnet_43,tnet_42,tnet_41,tnet_40,tnet_39,tnet_38,tnet_37,tnet_36}),
.io_out({tnet_56,tnet_57})
);

endmodule

