module c_ALU2 (
     input [13:0] io_in,
     output [5:0] io_out
);

wire [1:0] tnet_0 = io_in[13:12]; //func2
wire [1:0] tnet_1 = tnet_0;
wire [1:0] tnet_2 = io_in[11:10]; //func1
wire [1:0] tnet_3 = tnet_2;
wire [1:0] tnet_4 = tnet_2;
wire [1:0] tnet_5 = tnet_2;
wire [1:0] tnet_6 = io_in[9:8]; //func0
wire [1:0] tnet_7 = tnet_6;
wire [1:0] tnet_8 = tnet_6;
wire [1:0] tnet_9 = tnet_6;
wire [1:0] tnet_10 = tnet_6;
wire [1:0] tnet_11 = io_in[7:6]; //b1
wire [1:0] tnet_12 = tnet_11;
wire [1:0] tnet_13 = tnet_11;
wire [1:0] tnet_14 = tnet_11;
wire [1:0] tnet_15 = tnet_11;
wire [1:0] tnet_16 = io_in[5:4]; //b0
wire [1:0] tnet_17 = tnet_16;
wire [1:0] tnet_18 = tnet_16;
wire [1:0] tnet_19 = tnet_16;
wire [1:0] tnet_20 = tnet_16;
wire [1:0] tnet_21 = io_in[3:2]; //a1
wire [1:0] tnet_22 = tnet_21;
wire [1:0] tnet_23 = tnet_21;
wire [1:0] tnet_24 = tnet_21;
wire [1:0] tnet_25 = tnet_21;
wire [1:0] tnet_26 = io_in[1:0]; //a0
wire [1:0] tnet_27 = tnet_26;
wire [1:0] tnet_28 = tnet_26;
wire [1:0] tnet_29 = tnet_26;
wire [1:0] tnet_30 = tnet_26;

wire [1:0] tnet_31;
wire [1:0] tnet_32;
wire [1:0] tnet_33;
wire [1:0] tnet_34;
wire [1:0] tnet_35;
wire [1:0] tnet_36;
wire [1:0] tnet_37;
wire [1:0] tnet_38;
wire [1:0] tnet_39;
wire [1:0] tnet_40;
wire [1:0] tnet_41;
wire [1:0] tnet_42;
wire [1:0] tnet_43;
wire [1:0] tnet_44;
wire [1:0] tnet_45;
wire [1:0] tnet_46;
wire [1:0] tnet_47 = tnet_46;
wire [1:0] tnet_48;
wire [1:0] tnet_49;
wire [1:0] tnet_50;
wire [1:0] tnet_51;
wire [1:0] tnet_52;
wire [1:0] tnet_53;
wire [1:0] tnet_54;
wire [1:0] tnet_55;
wire [1:0] tnet_56;
wire [1:0] tnet_57;
wire [1:0] tnet_58;

assign io_out[5:4] = tnet_56; //carry
assign io_out[3:2] = tnet_57; //out1
assign io_out[1:0] = tnet_58; //out0

f_DGDDDDDAD_bet LogicGate_0 (
.portB(tnet_1),
.portA(tnet_4),
.portC(tnet_41),
.out(tnet_56)
);

c_SHIFT2 SavedGate_0 (
.io_in({tnet_25,tnet_30,tnet_15,tnet_20,tnet_2,tnet_6}),
.io_out({tnet_32,tnet_31})
);

c_2MUX2 SavedGate_1 (
.io_in({tnet_9,tnet_38,tnet_37,tnet_36,tnet_35}),
.io_out({tnet_33,tnet_34})
);

c_2TritMul SavedGate_2 (
.io_in({tnet_13,tnet_18,tnet_23,tnet_28}),
.io_out({tnet_38,tnet_37,tnet_36,tnet_35})
);

c_2MUX2 SavedGate_3 (
.io_in({tnet_5,tnet_33,tnet_34,tnet_42,tnet_43}),
.io_out({tnet_39,tnet_40})
);

c_3MUX2 SavedGate_4 (
.io_in({tnet_0,tnet_32,tnet_31,tnet_39,tnet_40,tnet_53,tnet_52}),
.io_out({tnet_57,tnet_58})
);

c_AddSub2 SavedGate_5 (
.io_in({tnet_7,tnet_14,tnet_19,tnet_24,tnet_29}),
.io_out({tnet_41,tnet_42,tnet_43})
);

c_3MUX2 SavedGate_6 (
.io_in({tnet_10,tnet_49,tnet_48,tnet_47,tnet_46,tnet_51,tnet_50}),
.io_out({tnet_44,tnet_45})
);

c_CMP2 SavedGate_7 (
.io_in({tnet_12,tnet_17,tnet_22,tnet_27}),
.io_out({tnet_51,tnet_50,tnet_49,tnet_48,tnet_46})
);

c_2MUX2 SavedGate_8 (
.io_in({tnet_3,tnet_44,tnet_45,tnet_55,tnet_54}),
.io_out({tnet_53,tnet_52})
);

c_CMP2tritwise SavedGate_9 (
.io_in({tnet_8,tnet_11,tnet_16,tnet_21,tnet_26}),
.io_out({tnet_55,tnet_54})
);

endmodule

