module c_CMP2 (
     input [7:0] io_in,
     output [9:0] io_out
);

wire [1:0] tnet_0 = io_in[7:6]; //b1
wire [1:0] tnet_1 = tnet_0;
wire [1:0] tnet_2 = tnet_0;
wire [1:0] tnet_3 = io_in[5:4]; //b0
wire [1:0] tnet_4 = tnet_3;
wire [1:0] tnet_5 = tnet_3;
wire [1:0] tnet_6 = io_in[3:2]; //a1
wire [1:0] tnet_7 = tnet_6;
wire [1:0] tnet_8 = tnet_6;
wire [1:0] tnet_9 = io_in[1:0]; //a0
wire [1:0] tnet_10 = tnet_9;
wire [1:0] tnet_11 = tnet_9;

wire [1:0] tnet_12;
wire [1:0] tnet_13 = tnet_12;
wire [1:0] tnet_14;
wire [1:0] tnet_15;
wire [1:0] tnet_16;
wire [1:0] tnet_17;
wire [1:0] tnet_18 = tnet_12;

assign io_out[9:8] = tnet_14; //max1
assign io_out[7:6] = tnet_15; //max0
assign io_out[5:4] = tnet_16; //min1
assign io_out[3:2] = tnet_17; //min0
assign io_out[1:0] = tnet_18; //cmp

c_2MUX2 SavedGate_0 (
.io_in({tnet_13,tnet_0,tnet_3,tnet_8,tnet_11}),
.io_out({tnet_14,tnet_15})
);

c_2MUX2 SavedGate_1 (
.io_in({tnet_12,tnet_6,tnet_9,tnet_1,tnet_4}),
.io_out({tnet_16,tnet_17})
);

c_2TritComp SavedGate_2 (
.io_in({tnet_2,tnet_5,tnet_7,tnet_10}),
.io_out({tnet_12})
);

endmodule

