module c_SHIFT2 (
     input [11:0] io_in,
     output [3:0] io_out
);

wire [1:0] tnet_0 = io_in[11:10]; //a1
wire [1:0] tnet_1 = tnet_0;
wire [1:0] tnet_2 = io_in[9:8]; //a0
wire [1:0] tnet_3 = tnet_2;
wire [1:0] tnet_4 = io_in[7:6]; //imm1
wire [1:0] tnet_5 = tnet_4;
wire [1:0] tnet_6 = io_in[5:4]; //imm0
wire [1:0] tnet_7 = tnet_6;
wire [1:0] tnet_8 = io_in[3:2]; //dir
wire [1:0] tnet_9 = tnet_8;
wire [1:0] tnet_10 = io_in[1:0]; //insert
wire [1:0] tnet_11 = tnet_10;

wire [1:0] tnet_12;
wire [1:0] tnet_13;
wire [1:0] tnet_14;
wire [1:0] tnet_15;

assign io_out[3:2] = tnet_14; //q1
assign io_out[1:0] = tnet_15; //q0

f_063TGT360_bet LogicGate_0 (
.portB(tnet_5),
.portA(tnet_7),
.portC(tnet_9),
.out(tnet_12)
);

f_630GTG036_bet LogicGate_1 (
.portB(tnet_4),
.portA(tnet_6),
.portC(tnet_8),
.out(tnet_13)
);

c_3MUX1 SavedGate_0 (
.io_in({tnet_12,tnet_1,tnet_3,tnet_11}),
.io_out({tnet_14})
);

c_3MUX1 SavedGate_1 (
.io_in({tnet_13,tnet_0,tnet_2,tnet_10}),
.io_out({tnet_15})
);

endmodule

