module c_ALUctrl (
     input [7:0] io_in,
     output [5:0] io_out
);

wire [1:0] tnet_0 = io_in[7:6]; //opcode1
wire [1:0] tnet_1 = tnet_0;
wire [1:0] tnet_2 = tnet_0;
wire [1:0] tnet_3 = tnet_0;
wire [1:0] tnet_4 = tnet_0;
wire [1:0] tnet_5 = tnet_0;
wire [1:0] tnet_6 = io_in[5:4]; //opcode0
wire [1:0] tnet_7 = tnet_6;
wire [1:0] tnet_8 = tnet_6;
wire [1:0] tnet_9 = tnet_6;
wire [1:0] tnet_10 = tnet_6;
wire [1:0] tnet_11 = tnet_6;
wire [1:0] tnet_12 = io_in[3:2]; //rd21
wire [1:0] tnet_13 = tnet_12;
wire [1:0] tnet_14 = tnet_12;
wire [1:0] tnet_15 = io_in[1:0]; //rd20
wire [1:0] tnet_16 = tnet_15;
wire [1:0] tnet_17 = tnet_15;

wire [1:0] tnet_18;
wire [1:0] tnet_19 = tnet_18;
wire [1:0] tnet_20;
wire [1:0] tnet_21;
wire [1:0] tnet_22;
wire [1:0] tnet_23;
wire [1:0] tnet_24;
wire [1:0] tnet_25;
wire [1:0] tnet_26 = tnet_25;
wire [1:0] tnet_27;
wire [1:0] tnet_28;
wire [1:0] tnet_29;
wire [1:0] tnet_30;

assign io_out[5:4] = tnet_28; //func2
assign io_out[3:2] = tnet_29; //func1
assign io_out[1:0] = tnet_30; //func0

f_H14_bet LogicGate_0 (
.portB(tnet_0),
.portA(tnet_6),
.out(tnet_28)
);

f_HDD_bet LogicGate_1 (
.portB(tnet_1),
.portA(tnet_7),
.out(tnet_18)
);

f_ZRR_bet LogicGate_2 (
.portB(tnet_21),
.portA(tnet_23),
.out(tnet_20)
);

f_DRGDRGDXG_bet LogicGate_3 (
.portB(tnet_2),
.portA(tnet_8),
.portC(tnet_16),
.out(tnet_21)
);

f_DGDDDDDAD_bet LogicGate_4 (
.portB(tnet_5),
.portA(tnet_11),
.portC(tnet_14),
.out(tnet_22)
);

f_DDDDDRDDR_bet LogicGate_5 (
.portB(tnet_3),
.portA(tnet_9),
.portC(tnet_25),
.out(tnet_23)
);

f_XP9_bet LogicGate_6 (
.portB(tnet_22),
.portA(tnet_27),
.out(tnet_24)
);

f_ZTZ_bet LogicGate_7 (
.portB(tnet_13),
.portA(tnet_17),
.out(tnet_25)
);

f_DDBDDDDDD_bet LogicGate_8 (
.portB(tnet_4),
.portA(tnet_10),
.portC(tnet_26),
.out(tnet_27)
);

c_2MUX1 SavedGate_0 (
.io_in({tnet_18,tnet_12,tnet_20}),
.io_out({tnet_29})
);

c_2MUX1 SavedGate_1 (
.io_in({tnet_19,tnet_15,tnet_24}),
.io_out({tnet_30})
);

endmodule

