module c_Carry_3_Simple (
     input [11:0] io_in,
     output [5:0] io_out
);

wire [1:0] tnet_0 = io_in[11:10]; //m2
wire [1:0] tnet_1 = tnet_0;
wire [1:0] tnet_2 = tnet_0;
wire [1:0] tnet_3 = tnet_0;
wire [1:0] tnet_4 = tnet_0;
wire [1:0] tnet_5 = tnet_0;
wire [1:0] tnet_6 = io_in[9:8]; //p2
wire [1:0] tnet_7 = tnet_6;
wire [1:0] tnet_8 = tnet_6;
wire [1:0] tnet_9 = tnet_6;
wire [1:0] tnet_10 = tnet_6;
wire [1:0] tnet_11 = io_in[7:6]; //m1
wire [1:0] tnet_12 = tnet_11;
wire [1:0] tnet_13 = tnet_11;
wire [1:0] tnet_14 = tnet_11;
wire [1:0] tnet_15 = tnet_11;
wire [1:0] tnet_16 = tnet_11;
wire [1:0] tnet_17 = io_in[5:4]; //p1
wire [1:0] tnet_18 = tnet_17;
wire [1:0] tnet_19 = tnet_17;
wire [1:0] tnet_20 = io_in[3:2]; //m0
wire [1:0] tnet_21 = tnet_20;
wire [1:0] tnet_22 = tnet_20;
wire [1:0] tnet_23 = tnet_20;
wire [1:0] tnet_24 = io_in[1:0]; //p0
wire [1:0] tnet_25 = tnet_24;
wire [1:0] tnet_26 = tnet_24;
wire [1:0] tnet_27 = tnet_24;

wire [1:0] tnet_28;
wire [1:0] tnet_29;
wire [1:0] tnet_30;
wire [1:0] tnet_31;
wire [1:0] tnet_32;
wire [1:0] tnet_33;
wire [1:0] tnet_34;
wire [1:0] tnet_35;
wire [1:0] tnet_36;
wire [1:0] tnet_37;
wire [1:0] tnet_38;
wire [1:0] tnet_39;
wire [1:0] tnet_40;
wire [1:0] tnet_41 = tnet_40;
wire [1:0] tnet_42 = tnet_40;
wire [1:0] tnet_43;
wire [1:0] tnet_44;
wire [1:0] tnet_45;

assign io_out[5:4] = tnet_43; //G
assign io_out[3:2] = tnet_44; //M
assign io_out[1:0] = tnet_45; //P

f_RDDDDDDDC_bet LogicGate_0 (
.portC(tnet_6),
.portB(tnet_17),
.portA(tnet_24),
.out(tnet_28)
);

f_VV0VP0000_bet LogicGate_1 (
.portC(tnet_28),
.portB(tnet_30),
.portA(tnet_31),
.out(tnet_29)
);

f_RDC_bet LogicGate_2 (
.portB(tnet_0),
.portA(tnet_25),
.out(tnet_30)
);

f_R3C_bet LogicGate_3 (
.portB(tnet_1),
.portA(tnet_11),
.out(tnet_31)
);

f_VV0VP0000_bet LogicGate_4 (
.portC(tnet_29),
.portB(tnet_32),
.portA(tnet_40),
.out(tnet_45)
);

f_RDC_bet LogicGate_5 (
.portB(tnet_7),
.portA(tnet_12),
.out(tnet_32)
);

f_RDDDDDDDC_bet LogicGate_6 (
.portC(tnet_8),
.portB(tnet_18),
.portA(tnet_20),
.out(tnet_33)
);

f_VV0VP0000_bet LogicGate_7 (
.portC(tnet_33),
.portB(tnet_35),
.portA(tnet_36),
.out(tnet_34)
);

f_RRDDDDDCC_bet LogicGate_8 (
.portC(tnet_9),
.portB(tnet_13),
.portA(tnet_21),
.out(tnet_35)
);

f_VV0VP0000_bet LogicGate_9 (
.portC(tnet_34),
.portB(tnet_37),
.portA(tnet_41),
.out(tnet_44)
);

f_RDC_bet LogicGate_10 (
.portB(tnet_2),
.portA(tnet_22),
.out(tnet_36)
);

f_XXDDDDD99_bet LogicGate_11 (
.portC(tnet_3),
.portB(tnet_14),
.portA(tnet_23),
.out(tnet_37)
);

f_RRDDDDDCC_bet LogicGate_12 (
.portC(tnet_10),
.portB(tnet_15),
.portA(tnet_26),
.out(tnet_38)
);

f_XXDDDDD99_bet LogicGate_13 (
.portC(tnet_4),
.portB(tnet_16),
.portA(tnet_27),
.out(tnet_39)
);

f_VV0VP0000_bet LogicGate_14 (
.portC(tnet_38),
.portB(tnet_39),
.portA(tnet_42),
.out(tnet_43)
);

f_RPC_bet LogicGate_15 (
.portB(tnet_5),
.portA(tnet_19),
.out(tnet_40)
);

endmodule

module f_R3C_bet (
     input wire[1:0] portB,
     input wire[1:0] portA,
     output wire[1:0] out
     );

     assign out = 
    (portB == 2'b01) & (portA == 2'b01) ? 2'b01 :
    (portB == 2'b01) & (portA == 2'b11) ? 2'b01 :
    (portB == 2'b10) & (portA == 2'b11) ? 2'b01 :
    (portB == 2'b10) & (portA == 2'b10) ? 2'b10 :
     2'b11;
endmodule

module f_RDC_bet (
     input wire[1:0] portB,
     input wire[1:0] portA,
     output wire[1:0] out
     );

     assign out = 
    (portB == 2'b01) & (portA == 2'b01) ? 2'b01 :
    (portB == 2'b10) & (portA == 2'b10) ? 2'b10 :
     2'b11;
endmodule

module f_RDDDDDDDC_bet (
     input wire[1:0] portC,
     input wire[1:0] portB,
     input wire[1:0] portA,
     output wire[1:0] out
     );

     assign out = 
    (portC == 2'b01) & (portB == 2'b01) & (portA == 2'b01) ? 2'b01 :
    (portC == 2'b10) & (portB == 2'b10) & (portA == 2'b10) ? 2'b10 :
     2'b11;
endmodule

module f_RPC_bet (
     input wire[1:0] portB,
     input wire[1:0] portA,
     output wire[1:0] out
     );

     assign out = 
    (portB == 2'b01) & (portA == 2'b01) ? 2'b01 :
    (portB == 2'b01) & (portA == 2'b11) ? 2'b01 :
    (portB == 2'b10) & (portA == 2'b11) ? 2'b10 :
    (portB == 2'b10) & (portA == 2'b10) ? 2'b10 :
     2'b11;
endmodule

module f_RRDDDDDCC_bet (
     input wire[1:0] portC,
     input wire[1:0] portB,
     input wire[1:0] portA,
     output wire[1:0] out
     );

     assign out = 
    (portC == 2'b01) & (portB == 2'b01) & (portA == 2'b01) ? 2'b01 :
    (portC == 2'b01) & (portB == 2'b01) & (portA == 2'b11) ? 2'b01 :
    (portC == 2'b10) & (portB == 2'b10) & (portA == 2'b11) ? 2'b10 :
    (portC == 2'b10) & (portB == 2'b10) & (portA == 2'b10) ? 2'b10 :
     2'b11;
endmodule

module f_VV0VP0000_bet (
     input wire[1:0] portC,
     input wire[1:0] portB,
     input wire[1:0] portA,
     output wire[1:0] out
     );

     assign out = 
    (portC == 2'b01) & (portB == 2'b01) & (portA == 2'b01) ? 2'b01 :
    (portC == 2'b01) & (portB == 2'b11) & (portA == 2'b01) ? 2'b01 :
    (portC == 2'b01) & (portB == 2'b10) & (portA == 2'b01) ? 2'b01 :
    (portC == 2'b01) & (portB == 2'b01) & (portA == 2'b11) ? 2'b01 :
    (portC == 2'b01) & (portB == 2'b11) & (portA == 2'b11) ? 2'b01 :
    (portC == 2'b01) & (portB == 2'b10) & (portA == 2'b11) ? 2'b01 :
    (portC == 2'b01) & (portB == 2'b01) & (portA == 2'b10) ? 2'b01 :
    (portC == 2'b01) & (portB == 2'b11) & (portA == 2'b10) ? 2'b01 :
    (portC == 2'b01) & (portB == 2'b10) & (portA == 2'b10) ? 2'b01 :
    (portC == 2'b11) & (portB == 2'b01) & (portA == 2'b01) ? 2'b01 :
    (portC == 2'b11) & (portB == 2'b11) & (portA == 2'b01) ? 2'b01 :
    (portC == 2'b11) & (portB == 2'b10) & (portA == 2'b01) ? 2'b01 :
    (portC == 2'b11) & (portB == 2'b01) & (portA == 2'b11) ? 2'b01 :
    (portC == 2'b11) & (portB == 2'b10) & (portA == 2'b11) ? 2'b10 :
    (portC == 2'b11) & (portB == 2'b01) & (portA == 2'b10) ? 2'b01 :
    (portC == 2'b11) & (portB == 2'b11) & (portA == 2'b10) ? 2'b10 :
    (portC == 2'b11) & (portB == 2'b10) & (portA == 2'b10) ? 2'b10 :
    (portC == 2'b10) & (portB == 2'b01) & (portA == 2'b01) ? 2'b01 :
    (portC == 2'b10) & (portB == 2'b11) & (portA == 2'b01) ? 2'b01 :
    (portC == 2'b10) & (portB == 2'b10) & (portA == 2'b01) ? 2'b01 :
    (portC == 2'b10) & (portB == 2'b01) & (portA == 2'b11) ? 2'b01 :
    (portC == 2'b10) & (portB == 2'b11) & (portA == 2'b11) ? 2'b10 :
    (portC == 2'b10) & (portB == 2'b10) & (portA == 2'b11) ? 2'b10 :
    (portC == 2'b10) & (portB == 2'b01) & (portA == 2'b10) ? 2'b01 :
    (portC == 2'b10) & (portB == 2'b11) & (portA == 2'b10) ? 2'b10 :
    (portC == 2'b10) & (portB == 2'b10) & (portA == 2'b10) ? 2'b10 :
     2'b11;
endmodule

module f_XXDDDDD99_bet (
     input wire[1:0] portC,
     input wire[1:0] portB,
     input wire[1:0] portA,
     output wire[1:0] out
     );

     assign out = 
    (portC == 2'b01) & (portB == 2'b01) & (portA == 2'b01) ? 2'b01 :
    (portC == 2'b01) & (portB == 2'b11) & (portA == 2'b01) ? 2'b01 :
    (portC == 2'b01) & (portB == 2'b01) & (portA == 2'b11) ? 2'b01 :
    (portC == 2'b01) & (portB == 2'b11) & (portA == 2'b11) ? 2'b01 :
    (portC == 2'b10) & (portB == 2'b11) & (portA == 2'b11) ? 2'b10 :
    (portC == 2'b10) & (portB == 2'b10) & (portA == 2'b11) ? 2'b10 :
    (portC == 2'b10) & (portB == 2'b11) & (portA == 2'b10) ? 2'b10 :
    (portC == 2'b10) & (portB == 2'b10) & (portA == 2'b10) ? 2'b10 :
     2'b11;
endmodule

