module c_ExecCtrl (
     input [7:0] io_in,
     output [15:0] io_out
);

wire [1:0] tnet_0 = io_in[7:6]; //Opcode1
wire [1:0] tnet_1 = tnet_0;
wire [1:0] tnet_2 = tnet_0;
wire [1:0] tnet_3 = tnet_0;
wire [1:0] tnet_4 = tnet_0;
wire [1:0] tnet_5 = tnet_0;
wire [1:0] tnet_6 = io_in[5:4]; //Opcode0
wire [1:0] tnet_7 = tnet_6;
wire [1:0] tnet_8 = tnet_6;
wire [1:0] tnet_9 = tnet_6;
wire [1:0] tnet_10 = tnet_6;
wire [1:0] tnet_11 = tnet_6;
wire [1:0] tnet_12 = io_in[3:2]; //Rd21
wire [1:0] tnet_13 = tnet_12;
wire [1:0] tnet_14 = io_in[1:0]; //Rd20
wire [1:0] tnet_15 = tnet_14;

wire [1:0] tnet_16;
wire [1:0] tnet_17;
wire [1:0] tnet_18;
wire [1:0] tnet_19;
wire [1:0] tnet_20;
wire [1:0] tnet_21;
wire [1:0] tnet_22;
wire [1:0] tnet_23;
wire [1:0] tnet_24;

assign io_out[15:14] = tnet_17; //AluCtrl2
assign io_out[13:12] = tnet_18; //AluCtrl1
assign io_out[11:10] = tnet_19; //AluCtrl0
assign io_out[9:8] = tnet_20; //AluASel
assign io_out[7:6] = tnet_21; //AluBSel
assign io_out[5:4] = tnet_22; //AddSel1
assign io_out[3:2] = tnet_23; //AddSel0
assign io_out[1:0] = tnet_24; //TarSel

f_RDD_bet LogicGate_0 (
.portB(tnet_1),
.portA(tnet_7),
.out(tnet_20)
);

f_MCD_bet LogicGate_1 (
.portB(tnet_2),
.portA(tnet_8),
.out(tnet_21)
);

f_HHH_bet LogicGate_2 (
.portB(tnet_3),
.portA(tnet_9),
.out(tnet_22)
);

f_ZTZ_bet LogicGate_3 (
.portB(tnet_13),
.portA(tnet_15),
.out(tnet_16)
);

f_HHH088088_bet LogicGate_4 (
.portB(tnet_4),
.portA(tnet_10),
.portC(tnet_16),
.out(tnet_23)
);

f_ZXZ_bet LogicGate_5 (
.portB(tnet_5),
.portA(tnet_11),
.out(tnet_24)
);

c_ALUCtrl2 SavedGate_0 (
.io_in({tnet_0,tnet_6,tnet_12,tnet_14}),
.io_out({tnet_17,tnet_18,tnet_19})
);

endmodule

