module c_ProgCtr2 (
     input [6:0] io_in,
     output [3:0] io_out
);

wire [1:0] tnet_0 = io_in[6:5]; //LoadEn
wire [1:0] tnet_1 = io_in[4:3]; //LoadAddr1
wire [1:0] tnet_2 = io_in[2:1]; //LoadAddr0
wire bnet_3 = io_in[0]; //Clk
wire bnet_4 = bnet_3;

wire [1:0] tnet_5;
wire [1:0] tnet_6;
wire [1:0] tnet_7;
wire [1:0] tnet_8;
wire [1:0] tnet_9;
wire [1:0] tnet_10;
wire [1:0] tnet_11 = tnet_7;
wire [1:0] tnet_12 = tnet_10;

assign io_out[3:2] = tnet_11; //PC1
assign io_out[1:0] = tnet_12; //PC0

c_Increment2 SavedGate_0 (
.io_in({tnet_7,tnet_10}),
.io_out({tnet_6,tnet_5})
);

c_DLatchEdge SavedGate_1 (
.io_in({tnet_9,bnet_4}),
.io_out({tnet_7})
);

c_2MUX2 SavedGate_2 (
.io_in({tnet_0,tnet_1,tnet_2,tnet_6,tnet_5}),
.io_out({tnet_9,tnet_8})
);

c_DLatchEdge SavedGate_3 (
.io_in({tnet_8,bnet_3}),
.io_out({tnet_10})
);

endmodule

