module c_LookaheadUnit3_Simple (
     input [13:0] io_in,
     output [11:0] io_out
);

wire [1:0] tnet_0 = io_in[13:12]; //m2
wire [1:0] tnet_1 = io_in[11:10]; //p2
wire [1:0] tnet_2 = io_in[9:8]; //m1
wire [1:0] tnet_3 = tnet_2;
wire [1:0] tnet_4 = io_in[7:6]; //p1
wire [1:0] tnet_5 = tnet_4;
wire [1:0] tnet_6 = io_in[5:4]; //m0
wire [1:0] tnet_7 = tnet_6;
wire [1:0] tnet_8 = tnet_6;
wire [1:0] tnet_9 = io_in[3:2]; //p0
wire [1:0] tnet_10 = tnet_9;
wire [1:0] tnet_11 = tnet_9;
wire [1:0] tnet_12 = io_in[1:0]; //carry
wire [1:0] tnet_13 = tnet_12;
wire [1:0] tnet_14 = tnet_12;

wire [1:0] tnet_15;
wire [1:0] tnet_16;
wire [1:0] tnet_17;
wire [1:0] tnet_18;
wire [1:0] tnet_19;
wire [1:0] tnet_20;
wire [1:0] tnet_21;
wire [1:0] tnet_22;
wire [1:0] tnet_23 = tnet_17;
wire [1:0] tnet_24 = tnet_18;
wire [1:0] tnet_25 = tnet_19;
wire [1:0] tnet_26;
wire [1:0] tnet_27;
wire [1:0] tnet_28;

assign io_out[11:10] = tnet_23; //G
assign io_out[9:8] = tnet_24; //M
assign io_out[7:6] = tnet_25; //P
assign io_out[5:4] = tnet_26; //c3
assign io_out[3:2] = tnet_27; //c2
assign io_out[1:0] = tnet_28; //c1

f_ZRRRRPDD0_bet LogicGate_0 (
.portC(tnet_12),
.portB(tnet_18),
.portA(tnet_19),
.out(tnet_15)
);

f_VPK_bet LogicGate_1 (
.portA(tnet_15),
.portB(tnet_17),
.out(tnet_26)
);

f_ZRRRRPDD0_bet LogicGate_2 (
.portC(tnet_13),
.portB(tnet_20),
.portA(tnet_21),
.out(tnet_16)
);

f_VPK_bet LogicGate_3 (
.portA(tnet_16),
.portB(tnet_22),
.out(tnet_27)
);

f_ZRRRRPDD0_bet LogicGate_4 (
.portB(tnet_8),
.portA(tnet_11),
.portC(tnet_14),
.out(tnet_28)
);

c_Carry_3_Simple SavedGate_0 (
.io_in({tnet_0,tnet_1,tnet_2,tnet_4,tnet_6,tnet_9}),
.io_out({tnet_17,tnet_18,tnet_19})
);

c_Carry_2_Simple SavedGate_1 (
.io_in({tnet_3,tnet_5,tnet_7,tnet_10}),
.io_out({tnet_22,tnet_20,tnet_21})
);

endmodule

