module c_lookahead_3_base (
     input [17:0] io_in,
     output [5:0] io_out
);

wire [1:0] tnet_0 = io_in[17:16]; //g2
wire [1:0] tnet_1 = io_in[15:14]; //m2
wire [1:0] tnet_2 = tnet_1;
wire [1:0] tnet_3 = io_in[13:12]; //p2
wire [1:0] tnet_4 = tnet_3;
wire [1:0] tnet_5 = io_in[11:10]; //g1
wire [1:0] tnet_6 = tnet_5;
wire [1:0] tnet_7 = io_in[9:8]; //m1
wire [1:0] tnet_8 = io_in[7:6]; //p1
wire [1:0] tnet_9 = tnet_8;
wire [1:0] tnet_10 = io_in[5:4]; //g0
wire [1:0] tnet_11 = tnet_10;
wire [1:0] tnet_12 = io_in[3:2]; //m0
wire [1:0] tnet_13 = tnet_12;
wire [1:0] tnet_14 = io_in[1:0]; //p0
wire [1:0] tnet_15 = tnet_14;

wire [1:0] tnet_16;
wire [1:0] tnet_17;
wire [1:0] tnet_18 = tnet_16;
wire [1:0] tnet_19 = tnet_17;
wire [1:0] tnet_20 = tnet_16;
wire [1:0] tnet_21 = tnet_17;
wire [1:0] tnet_22;
wire [1:0] tnet_23 = tnet_22;
wire [1:0] tnet_24 = tnet_22;
wire [1:0] tnet_25;
wire [1:0] tnet_26;
wire [1:0] tnet_27;

assign io_out[5:4] = tnet_25; //G
assign io_out[3:2] = tnet_26; //M
assign io_out[1:0] = tnet_27; //P

c_lookahead_3_unique SavedGate_0 (
.io_in({tnet_16,tnet_17,tnet_15,tnet_11,tnet_24}),
.io_out({tnet_25})
);

c_lookahead_3_common SavedGate_1 (
.io_in({tnet_2,tnet_4,tnet_6,tnet_7,tnet_9}),
.io_out({tnet_16,tnet_17})
);

c_lookahead_3_unique SavedGate_2 (
.io_in({tnet_18,tnet_19,tnet_13,tnet_12,tnet_22}),
.io_out({tnet_26})
);

c_lookahead_3_partial_g SavedGate_3 (
.io_in({tnet_0,tnet_1,tnet_3,tnet_5,tnet_8}),
.io_out({tnet_22})
);

c_lookahead_3_unique SavedGate_4 (
.io_in({tnet_20,tnet_21,tnet_10,tnet_14,tnet_23}),
.io_out({tnet_27})
);

endmodule

