module c_lookahead_unit_3_2 (
     input [19:0] io_in,
     output [11:0] io_out
);

wire [1:0] tnet_0 = io_in[19:18]; //g2
wire [1:0] tnet_1 = io_in[17:16]; //m2
wire [1:0] tnet_2 = io_in[15:14]; //p2
wire [1:0] tnet_3 = io_in[13:12]; //g1
wire [1:0] tnet_4 = tnet_3;
wire [1:0] tnet_5 = io_in[11:10]; //m1
wire [1:0] tnet_6 = tnet_5;
wire [1:0] tnet_7 = io_in[9:8]; //p1
wire [1:0] tnet_8 = tnet_7;
wire [1:0] tnet_9 = io_in[7:6]; //g0
wire [1:0] tnet_10 = tnet_9;
wire [1:0] tnet_11 = io_in[5:4]; //m0
wire [1:0] tnet_12 = tnet_11;
wire [1:0] tnet_13 = io_in[3:2]; //p0
wire [1:0] tnet_14 = tnet_13;
wire [1:0] tnet_15 = io_in[1:0]; //carry
wire [1:0] tnet_16 = tnet_15;

wire [1:0] tnet_17;
wire [1:0] tnet_18;
wire [1:0] tnet_19;
wire [1:0] tnet_20;
wire [1:0] tnet_21 = tnet_18;
wire [1:0] tnet_22 = tnet_19;
wire [1:0] tnet_23 = tnet_20;
wire [1:0] tnet_24;
wire [1:0] tnet_25;
wire [1:0] tnet_26;

assign io_out[11:10] = tnet_21; //G
assign io_out[9:8] = tnet_22; //M
assign io_out[7:6] = tnet_23; //P
assign io_out[5:4] = tnet_24; //c3
assign io_out[3:2] = tnet_25; //c2
assign io_out[1:0] = tnet_26; //c1

f_ZRRRRPDD0_bet LogicGate_0 (
.portC(tnet_16),
.portB(tnet_19),
.portA(tnet_20),
.out(tnet_17)
);

f_VPK_bet LogicGate_1 (
.portA(tnet_17),
.portB(tnet_18),
.out(tnet_24)
);

c_lookahead_3_base SavedGate_0 (
.io_in({tnet_0,tnet_1,tnet_2,tnet_4,tnet_6,tnet_8,tnet_10,tnet_12,tnet_14}),
.io_out({tnet_18,tnet_19,tnet_20})
);

c_LookaheadUnit2 SavedGate_1 (
.io_in({tnet_3,tnet_5,tnet_7,tnet_9,tnet_11,tnet_13,tnet_15}),
.io_out({tnet_25,tnet_26})
);

endmodule

