module c_add_3_lookahead (
     input [11:0] io_in,
     output [7:0] io_out
);

wire [1:0] tnet_0 = io_in[11:10]; //a3
wire [1:0] tnet_1 = io_in[9:8]; //a2
wire [1:0] tnet_2 = io_in[7:6]; //a1
wire [1:0] tnet_3 = io_in[5:4]; //b3
wire [1:0] tnet_4 = io_in[3:2]; //b2
wire [1:0] tnet_5 = io_in[1:0]; //b1
wire [1:0] tnet_6 = tnet_5;

wire [1:0] tnet_7;
wire [1:0] tnet_8 = tnet_7;
wire [1:0] tnet_9 = tnet_7;
wire [1:0] tnet_10 = tnet_7;
wire [1:0] tnet_11 = tnet_7;
wire [1:0] tnet_12;
wire [1:0] tnet_13;
wire [1:0] tnet_14;
wire [1:0] tnet_15;
wire [1:0] tnet_16;
wire [1:0] tnet_17;
wire [1:0] tnet_18;
wire [1:0] tnet_19;
wire [1:0] tnet_20;
wire [1:0] tnet_21;
wire [1:0] tnet_22;
wire [1:0] tnet_23;

assign io_out[7:6] = tnet_20; //carry
assign io_out[5:4] = tnet_21; //s3
assign io_out[3:2] = tnet_22; //s2
assign io_out[1:0] = tnet_23; //s1

f_D_bet LogicGate_0 (
.portA(tnet_5),
.out(tnet_7)
);

c_PartialFullAdder SavedGate_0 (
.io_in({tnet_0,tnet_3,tnet_15}),
.io_out({tnet_13,tnet_12,tnet_21})
);

c_lookahead_unit_3_2 SavedGate_1 (
.io_in({tnet_11,tnet_13,tnet_12,tnet_10,tnet_16,tnet_17,tnet_9,tnet_18,tnet_19,tnet_8}),
.io_out({tnet_14,tnet_14,tnet_14,tnet_20,tnet_15,tnet_14})
);

c_PartialFullAdder SavedGate_2 (
.io_in({tnet_1,tnet_4,tnet_14}),
.io_out({tnet_16,tnet_17,tnet_22})
);

c_PartialFullAdder SavedGate_3 (
.io_in({tnet_2,tnet_6,tnet_7}),
.io_out({tnet_18,tnet_19,tnet_23})
);

endmodule

