module c_balanced_unbalanced_lookahead (
     input [11:0] io_in,
     output [7:0] io_out
);

wire [1:0] tnet_0 = io_in[11:10]; //a2
wire [1:0] tnet_1 = tnet_0;
wire [1:0] tnet_2 = tnet_0;
wire [1:0] tnet_3 = tnet_0;
wire [1:0] tnet_4 = io_in[9:8]; //a1
wire [1:0] tnet_5 = io_in[7:6]; //a0
wire [1:0] tnet_6 = io_in[5:4]; //b2
wire [1:0] tnet_7 = io_in[3:2]; //b1
wire [1:0] tnet_8 = io_in[1:0]; //b0

wire [1:0] tnet_9;
wire [1:0] tnet_10 = tnet_9;
wire [1:0] tnet_11 = tnet_9;
wire [1:0] tnet_12 = tnet_9;
wire [1:0] tnet_13 = tnet_9;
wire [1:0] tnet_14;
wire [1:0] tnet_15;
wire [1:0] tnet_16 = tnet_15;
wire [1:0] tnet_17;
wire bnet_18;
wire bnet_19;
wire [1:0] tnet_20;
wire bnet_21;
wire bnet_22;
wire bnet_23;
wire bnet_24;
wire bnet_25;
wire bnet_26;
wire bnet_27;
wire bnet_28;
wire bnet_29;
wire bnet_30;
wire [1:0] tnet_31;
wire bnet_32;
wire bnet_33;
wire bnet_34;
wire bnet_35;
wire [1:0] tnet_36;
wire bnet_37;
wire bnet_38;
wire [1:0] tnet_39;
wire [1:0] tnet_40;
wire [1:0] tnet_41;
wire [1:0] tnet_42;

assign io_out[7:6] = tnet_39; //c
assign io_out[5:4] = tnet_40; //q2
assign io_out[3:2] = tnet_41; //q1
assign io_out[1:0] = tnet_42; //q0

f_0_bet LogicGate_0 (
.portA(tnet_0),
.out(tnet_9)
);

f_Z_bet LogicGate_1 (
.portA(tnet_2),
.out(tnet_14)
);

f_D_bet LogicGate_2 (
.portA(tnet_3),
.out(tnet_15)
);

f_C_bet LogicGate_3 (
.portA({bnet_30,!bnet_30}),
.out(tnet_17)
);

c_unbalaced_partial_full_adder SavedGate_0 (
.io_in({tnet_9,tnet_17,bnet_25}),
.io_out({tnet_39,tnet_39,tnet_39})
);

c_unbalaced_partial_full_adder SavedGate_1 (
.io_in({tnet_15,tnet_20,bnet_24}),
.io_out({bnet_19,bnet_18,tnet_40})
);

c_unbalaced_partial_full_adder SavedGate_2 (
.io_in({tnet_1,tnet_6,bnet_29}),
.io_out({bnet_21,bnet_22,tnet_20})
);

c_binary_lookahead_3 SavedGate_3 (
.io_in({bnet_19,bnet_18,bnet_27,bnet_26,bnet_35,bnet_34,tnet_13[1]}),
.io_out({bnet_23,bnet_23,bnet_25,bnet_24,bnet_23})
);

c_unbalaced_partial_full_adder SavedGate_4 (
.io_in({tnet_16,tnet_31,bnet_23}),
.io_out({bnet_27,bnet_26,tnet_41})
);

c_binary_lookahead_3 SavedGate_5 (
.io_in({bnet_21,bnet_22,bnet_32,bnet_33,bnet_37,bnet_38,tnet_11[1]}),
.io_out({bnet_30,bnet_28,bnet_28,bnet_29,bnet_28})
);

c_unbalaced_partial_full_adder SavedGate_6 (
.io_in({tnet_4,tnet_7,bnet_28}),
.io_out({bnet_32,bnet_33,tnet_31})
);

c_unbalaced_partial_full_adder SavedGate_7 (
.io_in({tnet_14,tnet_36,tnet_12[1]}),
.io_out({bnet_35,bnet_34,tnet_42})
);

c_unbalaced_partial_full_adder SavedGate_8 (
.io_in({tnet_5,tnet_8,tnet_10[1]}),
.io_out({bnet_37,bnet_38,tnet_36})
);

endmodule

