module c_hackaday_partial_adder (
     input [5:0] io_in,
     output [7:0] io_out
);

wire [1:0] tnet_0 = io_in[5:4]; //a
wire [1:0] tnet_1 = tnet_0;
wire [1:0] tnet_2 = tnet_0;
wire [1:0] tnet_3 = tnet_0;
wire [1:0] tnet_4 = io_in[3:2]; //b
wire [1:0] tnet_5 = tnet_4;
wire [1:0] tnet_6 = tnet_4;
wire [1:0] tnet_7 = tnet_4;
wire [1:0] tnet_8 = io_in[1:0]; //carry

wire [1:0] tnet_9;
wire [1:0] tnet_10;
wire [1:0] tnet_11;
wire [1:0] tnet_12;
wire [1:0] tnet_13;
wire [1:0] tnet_14;
wire [1:0] tnet_15;

assign io_out[7:6] = tnet_12; //con-n
assign io_out[5:4] = tnet_13; //con-z
assign io_out[3:2] = tnet_14; //con-p
assign io_out[1:0] = tnet_15; //sum

f_C_bet LogicGate_0 (
.portA(tnet_9),
.out(tnet_12)
);

f_R_bet LogicGate_1 (
.portA(tnet_10),
.out(tnet_14)
);

c_con SavedGate_0 (
.io_in({tnet_1,tnet_5}),
.io_out({tnet_9})
);

c_con SavedGate_1 (
.io_in({tnet_2,tnet_6}),
.io_out({tnet_13})
);

c_con SavedGate_2 (
.io_in({tnet_3,tnet_7}),
.io_out({tnet_10})
);

c_sum SavedGate_3 (
.io_in({tnet_0,tnet_4}),
.io_out({tnet_11})
);

c_sum SavedGate_4 (
.io_in({tnet_11,tnet_8}),
.io_out({tnet_15})
);

endmodule

